Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus Installation
Papyrus Installation [message #1815157] Thu, 26 September 2019 10:35 Go to next message
Emiliano Heyns is currently offline Emiliano HeynsFriend
Messages: 2
Registered: September 2019
Junior Member
I've just installed Eclipse Modeling Tools 2019-09 R (4.13.0), and I'm trying to get Papyrus started following https://www.eclipse.org/papyrus/download.html . In the Help menu, I don't see "Install Modeling Component" but I see "Install new software", and from that I could install Papyrus. But when I open a new Papyrus project, I only get offered the options "Profile" and "UML", there's no SysML option as shown in https://www.eclipse.org/papyrus/components/sysml/0.8.0/user/tuto1-createsysmlproject.html . What should I do to get SysML support going?
Re: Papyrus Installation [message #1815203 is a reply to message #1815157] Fri, 27 September 2019 06:04 Go to previous messageGo to next message
Yoann Farre is currently offline Yoann FarreFriend
Messages: 116
Registered: November 2017
Senior Member
Hello,

In order to access the SysML customisation for Papyrus, you have to install as well the components available on this update site (in "Install New Software")

https://download.eclipse.org/modeling/mdt/papyrus/components/sysml14

(I believe that an update for SysML 1.6 is available but I didn't test it).

Hope this helps.

Yoann.
Re: Papyrus Installation [message #1815205 is a reply to message #1815203] Fri, 27 September 2019 06:45 Go to previous messageGo to next message
Emiliano Heyns is currently offline Emiliano HeynsFriend
Messages: 2
Registered: September 2019
Junior Member
Super, that worked, thanks.

Did I miss a tutorial that puts this all together? I'm trying to pitch Papyrus as a potential replacement for Enterprise Architect and a lot of our users aren't all to technically minded, I want the onboarding to be as smooth as possible.
Re: Papyrus Installation [message #1815208 is a reply to message #1815205] Fri, 27 September 2019 07:16 Go to previous message
Quentin Le Menez is currently offline Quentin Le MenezFriend
Messages: 47
Registered: September 2014
Location: Paris Saclay, France
Member
Hi Emiliano,

Indeed that's a typo that stayed there from a previous installation configuration, I'll get right to it.
As for what you can install on top of Papyrus you can see the latest releases and update sites of the different extras in the Relatives page. (The tutorial you mentioned was written assuming you already had Papyrus-Sysml installed)

Sysml16 should be as stable as 14 but incorporates the changes brought by the evolution of the norm.

HTH,
Quentin
Previous Topic:Links to model elements in requirement
Next Topic:Papyrus and CDO
Goto Forum:
  


Current Time: Mon Dec 16 02:36:35 GMT 2019

Powered by FUDForum. Page generated in 0.02971 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top